### Virtual Method

# Handy Swipeable get_snap_points

since: 1.0

#### Declaration [src]

    gdouble*
    get_snap_points (
      HdySwipeable* self,
      gint* n_snap_points
    )

#### Description [src]

Gets the snap points of `self`.

Each snap point represents a progress value that is considered acceptable to end the swipe on.

Available since: 1.0

#### Parameters

`n_snap_points`

  Type: `gint*`

  Location to return the number of the snap points.

  The argument will be set by the function.

#### Return value

Type: An array of `gdouble`

The snap points.

The length of the array is in the `n_snap_points` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.